## gst-plugins-bad1.0 1.28.0

=== debian/changelog ===
gst-plugins-bad1.0 (1.28.0-1ubuntu2) resolute; urgency=medium

  * Introduce -extra set (LP: #2089260)
    - Ubuntu needs to distribute -bad in the universe repositories,
      which causes several downstream packaging issues due to
      applications in the main repositories depending on some of the
      -bad elements.
    - plugins-extra will contains a subset of the -bad plugins deemed
      "not so bad". The naming convention comes from
      https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6130
    - Start with camerasrcbin, gstva, and gstplay, to ease the Ubuntu
      paperwork required for transitioning packages from universe to
      main. This will allow us to get rid of downstream (from Ubuntu)
      packaging changes to awkwardly move elements from -bad to -good,
      and some vendoring in GTK (for a now defunct
      GstPlayer). Eventually, much of -bad would end up in -extra,
      with only legally encumbered or truly bad plugins remaining.
  * Fold jpegformat, camerabin, gstphotography back into the bad
    source. They were being vendored in -good until 1.26.4-1ubuntu2.
  * From MIR review (LP #2121050)
    - Start tracking libgstreamer-plugins-extra1.0-0.symbols.
    - Disable LTO on ppc64el & s390x.

 -- Charles <charles05@canonical.com>  Wed, 18 Feb 2026 10:01:32 +0000

gst-plugins-bad1.0 (1.28.0-1ubuntu1) resolute; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins (gstreamer1.0-wpe)
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
      + d/control: Have libgstreamer-plugins-bad1.0-dev depend on
        libgstreamer-plugins-good1.0-dev to reflect the above.
      + d/rules: Remove these modules from the -bad package.
    - d/gbp.conf: Ubuntu VCS tags.
    - d/p/pcfile-requires-plugins-good:
      Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules: Disable unavailable features on i386
      + Don't require these Build-Depends on i386: libfreeaptx-dev,
        liblrdf0-dev, libltc-dev, libneon27-dev, libzxing-dev, libopenni2-dev,
        libqrencode-dev,  libtensorflow-lite-dev, and libzxing-dev.
      + Disable ladspa, neon, openaptx, openni2, qroverlay, vulkan,
        tflite, and hip on i386, since they're not built there for
        Ubuntu.
    - d/rules: Enable Vulkan, SDL3 is available in Ubuntu (and Debian,
      but they disable there for some reason.)

 -- Charles <charles05@canonical.com>  Thu, 29 Jan 2026 13:45:53 +0000

gst-plugins-bad1.0 (1.28.0-1) unstable; urgency=medium

  [ Marc Leeman ]
  * d/rules: disable tflite
  * d/rules: disable wpe2
  * d/install: gsty4m moved to good
  * d/install: install libgsthip.so
  * d/control: remove  superfluous-file-pattern gst/y4m/gsty4mdec.[ch]
  * d/control: bump minimal version after new symbols
  * d/control: libvulkan-dev minimal 1.4.317
  * d/copyright: superfluous-file-pattern gst/inter/gstintertest.c
  * d/patches: refresh Skip-failing-tests
  * d/rules: disable mpeghdec, not in debian
  * d/rules: disable vmaf, not in debian
  * d/patches: avoid vmaf_dep in checks when vmaf is disabled
  * d/rules: disable vulkan, dependency sdl3 not in debian
  * d/control: remove libvulkan-dev because of sdl3 dep
  * d/install: install libgsthip
  * d/: do not enable hip elements on hurd
  * d/rules: not hurd is linux
  * New upstream version 1.28.0
  * Revert "d/gbp.conf: adjust for experimental"
  * d/control: update dependencies to 1.28.0
  * d/patches: refresh

  [ Dylan Aïssi ]
  * Build the TensorFlow Lite (LiteRT) plugin

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 28 Jan 2026 14:22:06 +0100
